Now M1 Compatible: Eric Whitacre Choir

Every owner of Eric Whitacre Choir should now have an update available which makes the plugins M1 compatible. The new plugin contains our latest architecture which allows for both Intel and M1 Compatible (Universal) Digital Audio Workstations to use the plugin without triggering Error 1. All future SA Recordings products will also be compatible.

If you have any issues updating or are still having trouble using the plugins on an Apple M1 device, please reach out to our support team at www.spitfireaudio.com/support

Comments

  • Thank You Spitfire!

  • I noticed this today, thank you thank you thank you!

  • Is there any way that users of older systems can be warned that some updates tailored for compliance with Apple Silicon will render products redundant.

    This has happened to me recently

    Confronted by what appears as a beneficial update for several SA products in the app. - turns out to make costly products, recently purchased, unusable.

    I have discussed the problem with support who have been very attentive - but unfortunately all work arounds do not succeed in my specific circumstances.


    Surely it must be possible to correct this by reverting to a previous release?

    Yet this facility is not yet available - but for myself and possibly many others - is a matter of urgency

  • Was using the BETA release for M1 just fine, but since I updated to the "official" release yesterday Logic is not happy (this was the only plugin that I updated)